<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'contact_area',
	array(
		'title'         => __( 'Contact Section', 'luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'contact_area_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'contact_area_disable',
		array(
			'settings'      => 'contact_area_disable',
			'section'       => 'contact_area',
			'label'         => __( 'Disable Section', 'luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk Premium' ),
				'off' => __( 'No', 'luzuk Premium' )
			)   
		)
	)
);

lzCustomLable($wp_customize, 'contactsection_padding', 'contact_area', ' Section Padding Setting:');

$wp_customize->add_setting(
    'contactsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_toppadding',
    array(
        'settings'      => 'contactsection_toppadding',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'contactsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_bottompadding',
    array(
        'settings'      => 'contactsection_bottompadding',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'contactsection_leftpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_leftpadding',
    array(
        'settings'      => 'contactsection_leftpadding',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'contactsection_rightpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_rightpadding',
    array(
        'settings'      => 'contactsection_rightpadding',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'contact_maintitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'contact_maintitle_heading',
        array(
            'settings'      => 'contact_maintitle_heading',
            'section'       => 'contact_area',
            'label'         => __( 'Section Heading & Text', 'Luzuk Premium' ),
        )
    )
);   

$wp_customize->add_setting(
    'contact_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Contact Us', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'contact_maintitle',
    array(
        'settings'      => 'contact_maintitle',
        'section'       => 'contact_area',
        'type'          => 'text',
        'label'         => __( 'Heading for section', 'Luzuk Premium' )
    )
);
addColorPalatOption($wp_customize, 'contactarea_sectiontitle_color', 'contact_area', 'Section Heading Color', '#000');


lzAddElement($wp_customize, 'contact_mainsub_title', 'contact_area', 'textarea', $label="Sub Heading", 'luzuk_sanitize_text', 'Lorem Ipsum is simply dummy text of the printing and typesetting.');

addColorPalatOption($wp_customize, 'contactarea_SubttlColor', 'contact_area', 'Section Text Color', '#7e8387');


lzAddElement($wp_customize, 'contact_phonelabel', 'contact_area', 'text', $label="Phone Label", 'luzuk_sanitize_text', 'Our 24/7 Phone Services');

addColorPalatOption($wp_customize, 'contactarea_secphonelable_color', 'contact_area', 'Phone Label Color', '#7e8387');

lzAddElement($wp_customize, 'contact_phone', 'contact_area', 'text', $label="Phone Number", 'luzuk_sanitize_text', '555 666 999 00');

addColorPalatOption($wp_customize, 'contactarea_secphoneColor', 'contact_area', 'Phone Number Color', '#000');

addColorPalatOption($wp_customize, 'contactarea_secphoneiconColor', 'contact_area', 'Phone Icon Color', '#fff');

addColorPalatOption($wp_customize, 'contactarea_secphoneiconbgColor', 'contact_area', 'Phone Icon Background Color', '#0d61cc');

addColorPalatOption($wp_customize, 'contactarea_secphoneiconbghoverColor', 'contact_area', 'Phone Icon Background Hover Color', '#ff0c12');


$wp_customize->add_setting(
	'contact_form_lbl',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);

$wp_customize->add_control(
	new luzuk_Customize_Heading(
		$wp_customize,
		'contact_form_lbl',
		array(
			'settings'      => 'contact_form_lbl',
			'section'       => 'contact_area',
			'label'         => __( 'Add contact Form shortcode', 'luzuk-premium' ),
		)
	)
);
$wp_customize->add_setting(
	'contact_form_shortcode',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( 'Add your form shortcode on customiser', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'contact_form_shortcode',
	array(
		'settings'      => 'contact_form_shortcode',
		'section'       => 'contact_area',
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'luzuk-premium' )
	)
);


//form input text / placeholder color
addColorPalatOption($wp_customize, 'contact_forminputtextColor', 'contact_area', 'Form Input text / placeholder color', '#bec0c1');

//form input bg color
addColorPalatOption($wp_customize, 'contact_forminputbgColor', 'contact_area', 'Form Input Background color', '#fff');

//form input border color
addColorPalatOption($wp_customize, 'contact_forminputborderColor', 'contact_area', 'Form Input border color', '#e0e0e0');

//form label color
addColorPalatOption($wp_customize, 'contact_formlabelColor', 'contact_area', 'Form label color', '#000');

//form text color
addColorPalatOption($wp_customize, 'contact_formtextColor', 'contact_area', 'Form text color', '#000');

//form button text color
addColorPalatOption($wp_customize, 'contact_formbuttontextColor', 'contact_area', 'Form button text color', '#fff');

//form button background color
addColorPalatOption($wp_customize, 'contact_formbuttonbgColor', 'contact_area', 'Form button background color', '#0d61cc');

//form button background hover color
addColorPalatOption($wp_customize, 'contact_formbuttonbghoverColor', 'contact_area', 'Form button background hover color', '#ff0c12');

//sec background color
addColorPalatOption($wp_customize, 'contact_secbgColor', 'contact_area', 'Form Section background color', '#f2f2f2');



